#!/bin/bash

set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

# Create buildx builder if it doesn't exist
docker buildx create --name multiarch --use \
  --driver-opt env.BUILDKIT_MAX_PARALLELISM=4 \
  2>/dev/null || docker buildx use multiarch

# Build multi-platform image and push it
docker buildx build \
  --platform linux/amd64,linux/arm64 \
  --push \
  -t "gitea.jde.nz/public/dropshell-build-base:test" \
  -f "${SCRIPT_DIR}/Dockerfile.dropshell-build-base" \
  ${SCRIPT_DIR}
